#
# spec file for package python-ordered-namespace
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-ordered-namespace
Version:        2019.6.8
Release:        1.25
Summary:        Python namespace class
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/who8mylunch/OrderedNamespace
Source:         https://files.pythonhosted.org/packages/source/o/ordered_namespace/ordered_namespace-%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/Who8MyLunch/OrderedNamespace/master/LICENSE
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A Python namespace class derived from OrderedDict,
including tab-completion

%prep
%setup -q -n ordered_namespace-%{version}
cp %{SOURCE99} .

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
# tests have no way of being executed properly
# on github there are no tags

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Jul 23 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2019.6.8:
  * Jupyter/iPython pretty printing works even better than before. Everything lines up and is easier to read at a glance.
  * Tab auto-completion now shows both class methods and data attribute. Previously it only showed data attributes.
  * Full support for pickle serialization/deserialization.
* Mon Jun  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 2018.6.26:
  * no upstream changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri May 18 2018 jengelh@inai.de
- Trim bias from descriptions.
* Sat Apr 28 2018 toddrme2178@gmail.com
- Initial version
